id: wordpress-elementskit-lite

info:
  name: ElementsKit Elementor Addons and Templates Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/elementskit-lite/
  metadata:
    plugin_namespace: elementskit-lite
    wpscan: https://wpscan.com/plugin/elementskit-lite
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/elementskit-lite/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/elementskit-lite.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100dd236c697c5e4822bb481d5a200b20f809b24e753e9667c4fcee46f1a6215482022100e66aa496dd9ab868ff3a429257984d17ee58825777c4722aae432aba1b09206c:922c64590222798bb761d5b6d8e72950